Page MenuHomePhabricator

Set up a test environment for reference previews
Closed, ResolvedPublic8 Story Points

Description

Motivation
We want to be able to test reference previews even before it is ready for becoming a beta feature

Acceptance Criteria

  • Create a place, where the current status of implementation can be tested
  • Create an option to enable reference tooltips gadget, with the ability to also test behavior without the gadget

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2019, 11:45 AM
Lea_WMDE set the point value for this task to 5.Jan 16 2019, 2:26 PM

This accounts for setting up a tool on toolforge:

  • Set up wiki
  • Install pop up extensions
  • Activate our changes
  • Import example articles
Lea_WMDE triaged this task as Normal priority.Jan 23 2019, 8:18 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE moved this task from In preparation to Ready for pickup on the Reference Previews board.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE changed the point value for this task from 5 to 8.
Lea_WMDE moved this task from Ready for pickup to Doing on the Reference Previews board.
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-01-23 board.

We have a test wiki now sitting on tools-forge.

https://tools.wmflabs.org/wmde-reference-previews/core/

As you can see on the main page, there are some articles imported already. I tried to make them work with original template/module files from the source wiki but since this really is a pain to import all the dependencies correctly from different language wikis it's not working in every case and you might see some lua script errors here and there. - That's also why I condensed some pages to a minimum.

The write/account creation is quite strict on the wiki. So if you want to add/edit pages just poke me and I can create an account.

@ QWERTY team members

  • I added all of you as admin so you also should be able to create accounts via the backend.
  • There's a cron updating the server every 20 min by pulling from git in the Popups extension folder.

Yay! Thanks! Can you help me how I can enable the reference tooltip gadget?

Yay! Thanks! Can you help me how I can enable the reference tooltip gadget?

Gadgets are installed but not working for some reason. - I put this back into Doing.

This is finally working ( with gadgets and such \o/ ).

At the end I struggled a bit with Popup-things (tm) not really working when being logged in. This is fixed now. There were some things missing from the default configuration setting. This lead to the strange case, that for logged-in users the extension was disabled by default but changing that on the preference page seems to have no effect.

See https://www.mediawiki.org/wiki/Extension:Popups#Example_of_final_LocalSettings_configuration_for_a_non-testing_site_(regular_wiki) for the recommended defaults.

Lea_WMDE closed this task as Resolved.Feb 6 2019, 1:43 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-01-23 board.